{% extends "base.twig" %}

{% block content %}

    {% for section in  home %}
        {% if section.acf_fc_layout == 'hero' %}
            <section class="hero" style="background-image: url('{{ section.img }}')">
                <div class="container-lg d-flex justify-content-between align-items-center hero_container">
                    <div class="hero_content">
                        {% if  section.title != blank %}
                            <h1>{{ section.title }}</h1>
                        {% endif %}
                        {% if  section.description  != blank %}
                            <p class="hero-after_title">{{ section.description }}</p>
                        {% endif %}
                        <div class="d-flex">
                            {% if  section.primary_btn.url != blank %}
                                <a href="{{ section.primary_btn.url }}" class="btn-secondary" target="{{ section.primary_btn.target }}">{{ section.primary_btn.title }}</a>
                            {% endif %}
                            {% if  section.secondary_btn.url != blank %}
                                <a href="{{ section.secondary_btn.url }}" class="btn-tertiary" target="{{ section.secondary_btn.target }}">{{ section.secondary_btn.title }}</a>
                            {% endif %}
                        </div>
                    </div>
                    <div class="hero_form">
                        <h3>Book Appointment</h3>
                        {{ function('do_shortcode', '[custom_form_plugin]') }}
                    </div>
                </div>
            </section>
        {% endif %}

        {% if section.acf_fc_layout == 'reasons' %}
            <section class="reasons">
                <div class="container-lg">
                    {% if  section.title != blank %}
                        <h2>{{ section.title }}</h2>
                    {% endif %}
                    {% if  section.subtitle != blank %}
                        <p class="sub-title">{{ section.subtitle }}</p>
                    {% endif %}
                    <div class="swiper swiper-initialized swiper-horizontal brand">
                        <div class="swiper-wrapper">
                            {% for item in section.item %}
                                <div class="reasons-item swiper-slide">
                                    <div class="reasons-item-head d-flex align-items-center justify-content-around">
                                        {% if  item.icon != blank %}
                                            <img src="{{ item.icon }}" alt="icon">
                                        {% endif %}
                                        {% if  item.title != blank %}
                                            <h4>{{ item.title }}</h4>
                                        {% endif %}
                                    </div>
                                    <div class="reasons-content">
                                        {% if  item.content != blank %}
                                            {{ item.content }}
                                        {% endif %}
                                        {% if item.learn_more.url != blank %}
                                            <a href="{{ item.learn_more.url }}" class="btn-inline" target="{{ item.learn_more.target }}">{{ item.learn_more.title }}</a>
                                        {% endif %}
                                    </div>
                                </div>
                            {% endfor %}
                        </div>
                    </div>
                </div>
            </section>
        {% endif %}
        {% if section.acf_fc_layout == 'service' %}
            <section class="service">
                <div class="container-md">
                    {% if  section.title != blank %}
                        <h2>{{ section.title }}</h2>
                    {% endif %}
                    {% if  section.subtitle != blank %}
                        <p class="sub-title">{{ section.subtitle }}</p>
                    {% endif %}
                </div>
                <div class="service-video">
                    <div class="container-md">
                        <div class="hp-video__frame">
                            <div class="hp-video__frame-placeholder">
{#                                <video loop muted autoplay playsinline class="lazy"#}
{#                                       data-src=""#}
{#                                       poster="{{ section.video_poster }}">#}
{#                                    <source data-src="" type="video/mp4">#}
{#                                    Your browser does not support the video tag.#}
{#                                </video>#}
                                <picture>
                                    <source media="(min-width: 1280px)" srcset="{{ section.video_poster }}">
                                    <source media="(min-width: 992px)" srcset="{{ section.video_poster }}">
                                    <source media="(max-width: 576px)" srcset="{{ section.video_poster }}">
                                    <img class="object-cover" src="{{ section.video_poster }}" alt="">
                                </picture>

                                <button class="reset hp-video__play" type="button" aria-label="play" data-video-url="https://vimeo.com/364797439">
                                    <img src="{{ site.theme.link }}/assets/play.png" alt="">
                                </button>
                            </div>

                            <div id="hp-video-player"></div>
                        </div>
                    </div>
                </div>
            </section>
        {% endif %}
        {% if section.acf_fc_layout == 'reviews' %}
            <section class="review">
                <div class="container-lg">
                    {% if  section.title != blank %}
                        <h2>{{ section.title }}</h2>
                    {% endif %}
                    {% if  section.subtitle != blank %}
                        <p class="sub-title">{{ section.subtitle }}</p>
                    {% endif %}
                    <div class="swiper swiper-initialized swiper-horizontal brand">
                        <div class="swiper-wrapper">
                        {% for review in section.items %}
                            <div class="review-item swiper-slide">
                                <img src="{{ site.theme.link }}/assets/stars.svg" alt="">
                                <p class="review-text">{{ review.review }}</p>
                                <div class="d-flex align-items-center review-item--container">
                                    <img src="{{ review.avatar }}" alt="reviewer-avatar" class="review-item_pic">
                                    <div>
                                        <p class="review-item_author">Regina Miles</p>
                                        <span class="position">{{ review.position }}</span>
                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                    </div>
                </div>
            </section>
        {% endif %}
        {% if section.acf_fc_layout == 'team' %}
            <section class="team">
                <div class="container-lg">
                    {% if  section.title != blank %}
                        <h2>{{ section.title }}</h2>
                    {% endif %}
                    {% if  section.subtitle != blank %}
                        <p class="sub-title">{{ section.subtitle }}</p>
                    {% endif %}
                    <div class="swiper swiper-initialized swiper-horizontal brand">
                        <div class="swiper-wrapper">
                        {% for member in section.members %}
                            <div class="team-member swiper-slide">
                                <picture>
                                    <img src="{{ fn('get_the_post_thumbnail_url',  member.ID ) }}" alt="team-member">
                                </picture>
                                <div class="team-member_info">
                                    <h4>{{ member.post_title }}</h4>
                                    <p class="team-member_position">{{ member.post_excerpt }}</p>
                                    <div class="d-flex justify-content-center team-member_socials">
                                        {% set socials =  fn('get_field', 'team', member.ID ) %}
                                        {% for social in socials %}
                                            {% if social.links != blank %}
                                                <a href="{{ social.links }}" target="_blank"><img src="{{ site.theme.link }}/assets/{{ social.select }}.svg" alt=""></a>
                                            {% endif %}
                                        {% endfor %}
                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                    </div>
                </div>
            </section>
        {% endif %}
        {% if section.acf_fc_layout == 'appointment' %}
            <section class="make--appointment" style="background-image: url('{{ section.bg_img }}')">
                <div class="container-lg">
                    {% if  section.subtitle != blank %}
                        <h4>Contact Us</h4>
                    {% endif %}
                    {% if  section.title != blank %}
                        <h2 class="text-a-l">Make an Appointment</h2>
                    {% endif %}
                    <div class="form--contact_container">
                        {{ function('do_shortcode', '[custom_form_plugin]') }}
                    </div>
                </div>
            </section>
        {% endif %}
        {% if section.acf_fc_layout == 'contact' %}
            <section class="contact">
                <div class="container-lg d-flex justify-content-between align-items-center">
                    <div class="contact--content">
                        {% if  section.title != blank %}
                            <h3>Consulting Agency For Your Business</h3>
                        {% endif %}
                        {% if  section.subtitle != blank %}
                            <p>the quick fox jumps over the lazy dog</p>
                        {% endif %}
                    </div>
                    {% if  section.btn.url != blank %}
                        <a href="{{ section.btn.url }}" class="btn-primary" target="section.btn.target">{{ section.btn.title }}</a>
                    {% endif %}
                </div>
            </section>
        {% endif %}

    {% endfor %}
{% endblock %}
